Bug 500 - Shortcuts work on modal dialogs.
Shortcuts work on modal dialogs.
Status: CLOSED FIXED
Product: platform
Classification: Unclassified
Component: -- Other --
3.x
All All
: P4 (vote)
: TBD
Assigned To: support
issues@platform
CNSC-034496
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 1998-08-21 23:38 UTC by Jan Jancura
Modified: 2008-12-23 10:34 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Jancura 1998-08-21 23:38:14 UTC
One way to fix it is to remember thread of AWT-EventQueue0 and then test if the thread that entered the TopFrame.FocusMananger is the same.

[jglick] At least in JDK 1.2.2, the thread is always a java.awt.EventDispatchThread named AWT-EventQueue-nnn and this number is incremented often, regardless of whether a modal dialog or something els
e invoked the focus manager.

Perhaps the focused component could be tested to see if it is contained in a TopComponent or the MainWindow or not.

[jglick] Now should disable all shortcuts when a dialog is being shown, except if the action uses a special property indicating it should be global, as does HelpAction.
Comment 1 Marek Grummich 2000-07-25 09:23:59 UTC
Priority is changed to P4 (normal).
Comment 2 Marian Mirilovic 2002-04-12 14:14:28 UTC
closed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo